Skip to main content
GET
Retrieve a File

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

id
integer

A unique File identifier.

labels
string[]

One or more labels. This will return the files which contain all of the given labels.

Response

A list of files.

id
integer

A unique number identifying the SourceFile.

Example:

46530

name
string

The file name.

Example:

"en_US.json"

file_hash
string

A unique hash value associated with the file. An MD5 hash of the file content will be used by default.

Example:

"3858f62230ac3c915f300c664312c63f"

detected_lang
string

Language associated with the file.

Example:

"de"

detected_lang_confidence
number

Confidence score for the language associated with the file.

Example:

0.7

category
string

The category of the file. The options are REFERENCE, or API. The default is API. Files with the REFERENCE category will be displayed as reference material.

Example:

"REFERENCE"

labels
string[]

The list of labels associated with the file.

Example:
created_at
string<date-time>

Time at which the object was created.

Example:

"2019-10-16T22:12:34Z"

updated_at
string<date-time>

Time at which the object was created.

Example:

"2019-10-16T22:12:34Z"